function F = ZDT1(x)
%This test function is used by Deb et al. 2002 IEEE to test NSGAII
%performance. There are 30 decision variables which are in [0,1].
F(1) = x(1); % objective 1 value
g = 0;
for i = 2 : 30
    g = g + x(i);
end
g = 1 + 9 * g / 29;
F(2) = g * (1 - (x(1) / g) ^ 0.5);  % objective 2 value


%% The schematic tradoff looks like this
% /\
%  |
%1 . 
%  |
%  |  
%  | .
%  |
%  |   .
%  |
%  |      .
%  |        
%  |           .
%  |               
%  |                 .
%  |                        .
%  |                                 .
%  |------------------------------------------.------>
%                                             1