function Y = ZDT1_round(x)
%This test function is used by Deb et al. 2002 IEEE to test NSGAII
%performance. There are 30 decision variables which are in [0,1].
Y_Exact(1) = x(1); % objective 1 value
g = 0;
for i = 2 : 30
    g = g + x(i);
end
g = 1 + 9 * g / 29;
Y_Exact(2) = g * (1 - (x(1) / g) ^ 0.5);  % objective 2 value
rounding_lvl=[0.01 0.01]; % This is the rounding level vector set prior to the optimization process by the user
Y = RoundObjectives (Y_Exact, rounding_lvl);
%% The schematic tradoff looks like this
% /\
%  |
%1 . 
%  |
%  |  
%  | .
%  |
%  |   .
%  |
%  |      .
%  |        
%  |           .
%  |               
%  |                 .
%  |                        .
%  |                                 .
%  |------------------------------------------.------>
%                                             1